declare class RNBeep {
    static beep(success?: boolean): void

    static PlaySysSound(soundID: number): void

    static AndroidSoundIDs: {
        TONE_CDMA_ABBR_ALERT: number,
        TONE_CDMA_ABBR_INTERCEPT: number,
        TONE_CDMA_ABBR_REORDER: number,
        TONE_CDMA_ALERT_AUTOREDIAL_LITE: number,
        TONE_CDMA_ALERT_CALL_GUARD: number,
        TONE_CDMA_ALERT_INCALL_LITE: number,
        TONE_CDMA_ALERT_NETWORK_LITE: number,
        TONE_CDMA_ANSWER: number,
        TONE_CDMA_CALLDROP_LITE: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_INTERGROUP: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_NORMAL: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_PAT3: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_PAT5: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_PAT6: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_PAT7: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_PING_RING: number,
        TONE_CDMA_CALL_SIGNAL_ISDN_SP_PRI: number,
        TONE_CDMA_CONFIRM: number,
        TONE_CDMA_DIAL_TONE_LITE: number,
        TONE_CDMA_EMERGENCY_RINGBACK: number,
        TONE_CDMA_HIGH_L: number,
        TONE_CDMA_HIGH_PBX_L: number,
        TONE_CDMA_HIGH_PBX_SLS: number,
        TONE_CDMA_HIGH_PBX_SS: number,
        TONE_CDMA_HIGH_PBX_SSL: number,
        TONE_CDMA_HIGH_PBX_S_X4: number,
        TONE_CDMA_HIGH_SLS: number,
        TONE_CDMA_HIGH_SS: number,
        TONE_CDMA_HIGH_SSL: number,
        TONE_CDMA_HIGH_SS_2: number,
        TONE_CDMA_HIGH_S_X4: number,
        TONE_CDMA_INTERCEPT: number,
        TONE_CDMA_KEYPAD_VOLUME_KEY_LITE: number,
        TONE_CDMA_LOW_L: number,
        TONE_CDMA_LOW_PBX_L: number,
        TONE_CDMA_LOW_PBX_SLS: number,
        TONE_CDMA_LOW_PBX_SS: number,
        TONE_CDMA_LOW_PBX_SSL: number,
        TONE_CDMA_LOW_PBX_S_X4: number,
        TONE_CDMA_LOW_SLS: number,
        TONE_CDMA_LOW_SS: number,
        TONE_CDMA_LOW_SSL: number,
        TONE_CDMA_LOW_SS_2: number,
        TONE_CDMA_LOW_S_X4: number,
        TONE_CDMA_MED_L: number,
        TONE_CDMA_MED_PBX_L: number,
        TONE_CDMA_MED_PBX_SLS: number,
        TONE_CDMA_MED_PBX_SS: number,
        TONE_CDMA_MED_PBX_SSL: number,
        TONE_CDMA_MED_PBX_S_X4: number,
        TONE_CDMA_MED_SLS: number,
        TONE_CDMA_MED_SS: number,
        TONE_CDMA_MED_SSL: number,
        TONE_CDMA_MED_SS_2: number,
        TONE_CDMA_MED_S_X4: number,
        TONE_CDMA_NETWORK_BUSY: number,
        TONE_CDMA_NETWORK_BUSY_ONE_SHOT: number,
        TONE_CDMA_NETWORK_CALLWAITING: number,
        TONE_CDMA_NETWORK_USA_RINGBACK: number,
        TONE_CDMA_ONE_MIN_BEEP: number,
        TONE_CDMA_PIP: number,
        TONE_CDMA_PRESSHOLDKEY_LITE: number,
        TONE_CDMA_REORDER: number,
        TONE_CDMA_SIGNAL_OFF: number,
        TONE_CDMA_SOFT_ERROR_LITE: number,
        TONE_DTMF_0: number,
        TONE_DTMF_1: number,
        TONE_DTMF_2: number,
        TONE_DTMF_3: number,
        TONE_DTMF_4: number,
        TONE_DTMF_5: number,
        TONE_DTMF_6: number,
        TONE_DTMF_7: number,
        TONE_DTMF_8: number,
        TONE_DTMF_9: number,
        TONE_DTMF_A: number,
        TONE_DTMF_B: number,
        TONE_DTMF_C: number,
        TONE_DTMF_D: number,
        TONE_DTMF_P: number,
        TONE_DTMF_S: number,
        TONE_PROP_ACK: number,
        TONE_PROP_BEEP: number,
        TONE_PROP_BEEP2: number,
        TONE_PROP_NACK: number,
        TONE_PROP_PROMPT: number,
        TONE_SUP_BUSY: number,
        TONE_SUP_CALL_WAITING: number,
        TONE_SUP_CONFIRM: number,
        TONE_SUP_CONGESTION: number,
        TONE_SUP_CONGESTION_ABBREV: number,
        TONE_SUP_DIAL: number,
        TONE_SUP_ERROR: number,
        TONE_SUP_INTERCEPT: number,
        TONE_SUP_INTERCEPT_ABBREV: number,
        TONE_SUP_PIP: number,
        TONE_SUP_RADIO_ACK: number,
        TONE_SUP_RADIO_NOTAVAIL: number,
        TONE_SUP_RINGTONE: number
    };

    static iOSSoundIDs: {
        MailReceived: number,
        MailSent: number,
        VoicemailReceived: number,
        SMSReceived: number,
        CalendarAlert: number,
        LowPower: number,
        SMSReceived_Alert1: number,
        SMSReceived_Alert2: number,
        SMSReceived_Alert3: number,
        SMSReceived_Alert4: number,
        SMSReceived_Vibrate: number,
        SMSReceived_Alert5: number,
        SMSReceived_Alert6: number,
        SMSReceived_Alert7: number,
        Voicemail: number,
        SMSSent: number,
        SMSReceived_Alert8: number,
        SMSReceived_Alert9: number,
        SMSReceived_Alert10: number,
        SMSReceived_Alert11: number,
        SMSReceived_Alert12: number,
        SMSReceived_Alert13: number,
        SMSReceived_Alert14: number,
        SMSReceived_Alert15: number,
        SMSReceived_Alert16: number,
        SMSReceived_Alert17: number,
        USSDAlert: number,
        SIMToolkitTone1: number,
        SIMToolkitTone2: number,
        SIMToolkitTone3: number,
        SIMToolkitTone4: number,
        PINKeyPressed: number,
        AudioToneBusy: number,
        AudioToneCongestion: number,
        AudioTonePathAcknowledge: number,
        AudioToneError: number,
        AudioToneCallWaiting: number,
        AudioToneKey2: number,
        ScreenLocked: number,
        ScreenUnlocked: number,
        FailedUnlock: number,
        KeyPressed1: number,
        KeyPressed2: number,
        KeyPressed3: number,
        ConnectedToPower: number,
        RingerSwitchIndication: number,
        CameraShutter: number,
        ShakeToShuffle: number,
        JBL_Begin: number,
        JBL_Confirm: number,
        JBL_Cancel: number,
        BeginRecording: number,
        EndRecording: number,
        JBL_Ambiguous: number,
        JBL_NoMatch: number,
        BeginVideoRecording: number,
        EndVideoRecording: number,
        VCInvitationAccepted: number,
        VCRinging: number,
        VCEnded: number,
        VCCallWaiting: number,
        VCCallUpgrade: number,
        TouchTone1: number,
        TouchTone2: number,
        TouchTone3: number,
        TouchTone4: number,
        TouchTone5: number,
        TouchTone6: number,
        TouchTone7: number,
        TouchTone8: number,
        TouchTone9: number,
        TouchTone10: number,
        TouchTone11: number,
        TouchTone12: number,
        Headset_StartCall: number,
        Headset_Redial: number,
        Headset_AnswerCall: number,
        Headset_EndCall: number,
        Headset_CallWaitingActions: number,
        Headset_TransitionEnd: number,
        SystemSoundPreview1: number,
        SystemSoundPreview2: number,
        SystemSoundPreview3: number,
        SystemSoundPreview4: number,
        SystemSoundPreview5: number,
        SystemSoundPreview6: number,
        KeyPressClickPreview: number,
        SMSReceived_Selection1: number,
        SMSReceived_Selection2: number,
        SMSReceived_Selection3: number,
        SMSReceived_Selection4: number,
        SMSReceived_Selection5: number,
        SMSReceived_Selection6: number,
        SMSReceived_Selection7: number,
        SystemSoundPreview: number,
        SMSReceived_Selection8: number,
        SMSReceived_Selection9: number,
        SMSReceived_Selection10: number,
        SMSReceived_Selection11: number,
        SMSReceived_Selection12: number,
        SMSReceived_Selection13: number,
        SMSReceived_Selection14: number,
        SMSReceived_Selection15: number,
        SMSReceived_Selection16: number,
        SMSReceived_Selection17: number,
        SMSReceived_Selection18: number,
        SMSReceived_Selection19: number,
        SMSReceived_Selection20: number,
        SMSReceived_Selection21: number,
        SMSReceived_Selection22: number,
        SMSReceived_Selection23: number,
        SMSReceived_Selection24: number,
        RingerVibeChanged: number,
        SilentVibeChanged: number,
        Vibrate: number
    };
}


export default RNBeep;
