/**
 * Mock implementation for test runners.
 *
 * Example:
 *
 * ```js
 * jest.mock('react-native-a-beep', () => require('react-native-a-beep/mock'));
 * ```
 */

function NOOP() {
  // noop
}

const RNBeep = {
  beep: NOOP,
  PlaySysSound: NOOP,

  AndroidSoundIDs: {
    TONE_CDMA_ABBR_ALERT: NOOP,
    TONE_CDMA_ABBR_INTERCEPT: NOOP,
    TONE_CDMA_ABBR_REORDER: NOOP,
    TONE_CDMA_ALERT_AUTOREDIAL_LITE: NOOP,
    TONE_CDMA_ALERT_CALL_GUARD: NOOP,
    TONE_CDMA_ALERT_INCALL_LITE: NOOP,
    TONE_CDMA_ALERT_NETWORK_LITE: NOOP,
    TONE_CDMA_ANSWER: NOOP,
    TONE_CDMA_CALLDROP_LITE: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_INTERGROUP: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_NORMAL: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_PAT3: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_PAT5: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_PAT6: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_PAT7: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_PING_RING: NOOP,
    TONE_CDMA_CALL_SIGNAL_ISDN_SP_PRI: NOOP,
    TONE_CDMA_CONFIRM: NOOP,
    TONE_CDMA_DIAL_TONE_LITE: NOOP,
    TONE_CDMA_EMERGENCY_RINGBACK: NOOP,
    TONE_CDMA_HIGH_L: NOOP,
    TONE_CDMA_HIGH_PBX_L: NOOP,
    TONE_CDMA_HIGH_PBX_SLS: NOOP,
    TONE_CDMA_HIGH_PBX_SS: NOOP,
    TONE_CDMA_HIGH_PBX_SSL: NOOP,
    TONE_CDMA_HIGH_PBX_S_X4: NOOP,
    TONE_CDMA_HIGH_SLS: NOOP,
    TONE_CDMA_HIGH_SS: NOOP,
    TONE_CDMA_HIGH_SSL: NOOP,
    TONE_CDMA_HIGH_SS_2: NOOP,
    TONE_CDMA_HIGH_S_X4: NOOP,
    TONE_CDMA_INTERCEPT: NOOP,
    TONE_CDMA_KEYPAD_VOLUME_KEY_LITE: NOOP,
    TONE_CDMA_LOW_L: NOOP,
    TONE_CDMA_LOW_PBX_L: NOOP,
    TONE_CDMA_LOW_PBX_SLS: NOOP,
    TONE_CDMA_LOW_PBX_SS: NOOP,
    TONE_CDMA_LOW_PBX_SSL: NOOP,
    TONE_CDMA_LOW_PBX_S_X4: NOOP,
    TONE_CDMA_LOW_SLS: NOOP,
    TONE_CDMA_LOW_SS: NOOP,
    TONE_CDMA_LOW_SSL: NOOP,
    TONE_CDMA_LOW_SS_2: NOOP,
    TONE_CDMA_LOW_S_X4: NOOP,
    TONE_CDMA_MED_L: NOOP,
    TONE_CDMA_MED_PBX_L: NOOP,
    TONE_CDMA_MED_PBX_SLS: NOOP,
    TONE_CDMA_MED_PBX_SS: NOOP,
    TONE_CDMA_MED_PBX_SSL: NOOP,
    TONE_CDMA_MED_PBX_S_X4: NOOP,
    TONE_CDMA_MED_SLS: NOOP,
    TONE_CDMA_MED_SS: NOOP,
    TONE_CDMA_MED_SSL: NOOP,
    TONE_CDMA_MED_SS_2: NOOP,
    TONE_CDMA_MED_S_X4: NOOP,
    TONE_CDMA_NETWORK_BUSY: NOOP,
    TONE_CDMA_NETWORK_BUSY_ONE_SHOT: NOOP,
    TONE_CDMA_NETWORK_CALLWAITING: NOOP,
    TONE_CDMA_NETWORK_USA_RINGBACK: NOOP,
    TONE_CDMA_ONE_MIN_BEEP: NOOP,
    TONE_CDMA_PIP: NOOP,
    TONE_CDMA_PRESSHOLDKEY_LITE: NOOP,
    TONE_CDMA_REORDER: NOOP,
    TONE_CDMA_SIGNAL_OFF: NOOP,
    TONE_CDMA_SOFT_ERROR_LITE: NOOP,
    TONE_DTMF_0: NOOP,
    TONE_DTMF_1: NOOP,
    TONE_DTMF_2: NOOP,
    TONE_DTMF_3: NOOP,
    TONE_DTMF_4: NOOP,
    TONE_DTMF_5: NOOP,
    TONE_DTMF_6: NOOP,
    TONE_DTMF_7: NOOP,
    TONE_DTMF_8: NOOP,
    TONE_DTMF_9: NOOP,
    TONE_DTMF_A: NOOP,
    TONE_DTMF_B: NOOP,
    TONE_DTMF_C: NOOP,
    TONE_DTMF_D: NOOP,
    TONE_DTMF_P: NOOP,
    TONE_DTMF_S: NOOP,
    TONE_PROP_ACK: NOOP,
    TONE_PROP_BEEP: NOOP,
    TONE_PROP_BEEP2: NOOP,
    TONE_PROP_NACK: NOOP,
    TONE_PROP_PROMPT: NOOP,
    TONE_SUP_BUSY: NOOP,
    TONE_SUP_CALL_WAITING: NOOP,
    TONE_SUP_CONFIRM: NOOP,
    TONE_SUP_CONGESTION: NOOP,
    TONE_SUP_CONGESTION_ABBREV: NOOP,
    TONE_SUP_DIAL: NOOP,
    TONE_SUP_ERROR: NOOP,
    TONE_SUP_INTERCEPT: NOOP,
    TONE_SUP_INTERCEPT_ABBREV: NOOP,
    TONE_SUP_PIP: NOOP,
    TONE_SUP_RADIO_ACK: NOOP,
    TONE_SUP_RADIO_NOTAVAIL: NOOP,
    TONE_SUP_RINGTONE: NOOP,
  },

  iOSSoundIDs: {
    MailReceived: NOOP,
    MailSent: NOOP,
    VoicemailReceived: NOOP,
    SMSReceived: NOOP,
    CalendarAlert: NOOP,
    LowPower: NOOP,
    SMSReceived_Alert1: NOOP,
    SMSReceived_Alert2: NOOP,
    SMSReceived_Alert3: NOOP,
    SMSReceived_Alert4: NOOP,
    SMSReceived_Vibrate: NOOP,
    SMSReceived_Alert5: NOOP,
    SMSReceived_Alert6: NOOP,
    SMSReceived_Alert7: NOOP,
    Voicemail: NOOP,
    SMSSent: NOOP,
    SMSReceived_Alert8: NOOP,
    SMSReceived_Alert9: NOOP,
    SMSReceived_Alert10: NOOP,
    SMSReceived_Alert11: NOOP,
    SMSReceived_Alert12: NOOP,
    SMSReceived_Alert13: NOOP,
    SMSReceived_Alert14: NOOP,
    SMSReceived_Alert15: NOOP,
    SMSReceived_Alert16: NOOP,
    SMSReceived_Alert17: NOOP,
    USSDAlert: NOOP,
    SIMToolkitTone1: NOOP,
    SIMToolkitTone2: NOOP,
    SIMToolkitTone3: NOOP,
    SIMToolkitTone4: NOOP,
    PINKeyPressed: NOOP,
    AudioToneBusy: NOOP,
    AudioToneCongestion: NOOP,
    AudioTonePathAcknowledge: NOOP,
    AudioToneError: NOOP,
    AudioToneCallWaiting: NOOP,
    AudioToneKey2: NOOP,
    ScreenLocked: NOOP,
    ScreenUnlocked: NOOP,
    FailedUnlock: NOOP,
    KeyPressed1: NOOP,
    KeyPressed2: NOOP,
    KeyPressed3: NOOP,
    ConnectedToPower: NOOP,
    RingerSwitchIndication: NOOP,
    CameraShutter: NOOP,
    ShakeToShuffle: NOOP,
    JBL_Begin: NOOP,
    JBL_Confirm: NOOP,
    JBL_Cancel: NOOP,
    BeginRecording: NOOP,
    EndRecording: NOOP,
    JBL_Ambiguous: NOOP,
    JBL_NoMatch: NOOP,
    BeginVideoRecording: NOOP,
    EndVideoRecording: NOOP,
    VCInvitationAccepted: NOOP,
    VCRinging: NOOP,
    VCEnded: NOOP,
    VCCallWaiting: NOOP,
    VCCallUpgrade: NOOP,
    TouchTone1: NOOP,
    TouchTone2: NOOP,
    TouchTone3: NOOP,
    TouchTone4: NOOP,
    TouchTone5: NOOP,
    TouchTone6: NOOP,
    TouchTone7: NOOP,
    TouchTone8: NOOP,
    TouchTone9: NOOP,
    TouchTone10: NOOP,
    TouchTone11: NOOP,
    TouchTone12: NOOP,
    Headset_StartCall: NOOP,
    Headset_Redial: NOOP,
    Headset_AnswerCall: NOOP,
    Headset_EndCall: NOOP,
    Headset_CallWaitingActions: NOOP,
    Headset_TransitionEnd: NOOP,
    SystemSoundPreview1: NOOP,
    SystemSoundPreview2: NOOP,
    SystemSoundPreview3: NOOP,
    SystemSoundPreview4: NOOP,
    SystemSoundPreview5: NOOP,
    SystemSoundPreview6: NOOP,
    KeyPressClickPreview: NOOP,
    SMSReceived_Selection1: NOOP,
    SMSReceived_Selection2: NOOP,
    SMSReceived_Selection3: NOOP,
    SMSReceived_Selection4: NOOP,
    SMSReceived_Selection5: NOOP,
    SMSReceived_Selection6: NOOP,
    SMSReceived_Selection7: NOOP,
    SystemSoundPreview: NOOP,
    SMSReceived_Selection8: NOOP,
    SMSReceived_Selection9: NOOP,
    SMSReceived_Selection10: NOOP,
    SMSReceived_Selection11: NOOP,
    SMSReceived_Selection12: NOOP,
    SMSReceived_Selection13: NOOP,
    SMSReceived_Selection14: NOOP,
    SMSReceived_Selection15: NOOP,
    SMSReceived_Selection16: NOOP,
    SMSReceived_Selection17: NOOP,
    SMSReceived_Selection18: NOOP,
    SMSReceived_Selection19: NOOP,
    SMSReceived_Selection20: NOOP,
    SMSReceived_Selection21: NOOP,
    SMSReceived_Selection22: NOOP,
    SMSReceived_Selection23: NOOP,
    SMSReceived_Selection24: NOOP,
    RingerVibeChanged: NOOP,
    SilentVibeChanged: NOOP,
    Vibrate: NOOP,
  },
};

module.exports = RNBeep;
